]> CyberLeo.Net >> Repos - FreeBSD/releng/9.2.git/blob - contrib/cvs/Makefile.in
- Copy stable/9 to releng/9.2 as part of the 9.2-RELEASE cycle.
[FreeBSD/releng/9.2.git] / contrib / cvs / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Master Makefile for the GNU Concurrent Versions System.
18 # Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
19 #               1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
20 #               Free Software Foundation, Inc.
21
22 # This program is free software; you can redistribute it and/or modify
23 # it under the terms of the GNU General Public License as published by
24 # the Free Software Foundation; either version 2, or (at your option)
25 # any later version.
26
27 # This program is distributed in the hope that it will be useful,
28 # but WITHOUT ANY WARRANTY; without even the implied warranty of
29 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
30 # GNU General Public License for more details.
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 subdir = .
48 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
49         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
50         $(srcdir)/cvs.spec.in $(top_srcdir)/configure \
51         $(top_srcdir)/emx/Makefile.in $(top_srcdir)/os2/Makefile.in \
52         $(top_srcdir)/zlib/Makefile.in AUTHORS COPYING COPYING.LIB \
53         ChangeLog INSTALL NEWS TODO compile depcomp install-sh \
54         mdate-sh missing mkinstalldirs ylwrap
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
57         $(top_srcdir)/configure.in
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
61  configure.lineno config.status.lineno
62 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
63 CONFIG_HEADER = config.h
64 CONFIG_CLEAN_FILES = cvs.spec emx/Makefile os2/Makefile zlib/Makefile
65 SOURCES =
66 DIST_SOURCES =
67 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
68         html-recursive info-recursive install-data-recursive \
69         install-dvi-recursive install-exec-recursive \
70         install-html-recursive install-info-recursive \
71         install-pdf-recursive install-ps-recursive install-recursive \
72         installcheck-recursive installdirs-recursive pdf-recursive \
73         ps-recursive uninstall-recursive
74 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
75   distclean-recursive maintainer-clean-recursive
76 ETAGS = etags
77 CTAGS = ctags
78 DIST_SUBDIRS = $(SUBDIRS)
79 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
80 distdir = $(PACKAGE)-$(VERSION)
81 top_distdir = $(distdir)
82 am__remove_distdir = \
83   { test ! -d $(distdir) \
84     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
85          && rm -fr $(distdir); }; }
86 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
87 GZIP_ENV = --best
88 distuninstallcheck_listfiles = find . -type f -print
89 distcleancheck_listfiles = find . -type f -print
90 ACLOCAL = @ACLOCAL@
91 AMTAR = @AMTAR@
92 AUTOCONF = @AUTOCONF@
93 AUTOHEADER = @AUTOHEADER@
94 AUTOMAKE = @AUTOMAKE@
95 AWK = @AWK@
96 CC = @CC@
97 CCDEPMODE = @CCDEPMODE@
98 CFLAGS = @CFLAGS@
99 CPP = @CPP@
100 CPPFLAGS = @CPPFLAGS@
101 CSH = @CSH@
102 CYGPATH_W = @CYGPATH_W@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 ECHO_C = @ECHO_C@
106 ECHO_N = @ECHO_N@
107 ECHO_T = @ECHO_T@
108 EDITOR = @EDITOR@
109 EGREP = @EGREP@
110 EXEEXT = @EXEEXT@
111 GREP = @GREP@
112 INSTALL = @INSTALL@
113 INSTALL_DATA = @INSTALL_DATA@
114 INSTALL_PROGRAM = @INSTALL_PROGRAM@
115 INSTALL_SCRIPT = @INSTALL_SCRIPT@
116 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
117 KRB4 = @KRB4@
118 LDFLAGS = @LDFLAGS@
119 LIBOBJS = @LIBOBJS@
120 LIBS = @LIBS@
121 LN_S = @LN_S@
122 LTLIBOBJS = @LTLIBOBJS@
123 MAINT = @MAINT@
124 MAKEINFO = @MAKEINFO@
125 MKDIR_P = @MKDIR_P@
126 MKTEMP = @MKTEMP@
127 OBJEXT = @OBJEXT@
128 PACKAGE = @PACKAGE@
129 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130 PACKAGE_NAME = @PACKAGE_NAME@
131 PACKAGE_STRING = @PACKAGE_STRING@
132 PACKAGE_TARNAME = @PACKAGE_TARNAME@
133 PACKAGE_VERSION = @PACKAGE_VERSION@
134 PATH_SEPARATOR = @PATH_SEPARATOR@
135 PERL = @PERL@
136 PR = @PR@
137 PS2PDF = @PS2PDF@
138 RANLIB = @RANLIB@
139 ROFF = @ROFF@
140 SENDMAIL = @SENDMAIL@
141 SET_MAKE = @SET_MAKE@
142 SHELL = @SHELL@
143 STRIP = @STRIP@
144 TEXI2DVI = @TEXI2DVI@
145 VERSION = @VERSION@
146 YACC = @YACC@
147 YFLAGS = @YFLAGS@
148 abs_builddir = @abs_builddir@
149 abs_srcdir = @abs_srcdir@
150 abs_top_builddir = @abs_top_builddir@
151 abs_top_srcdir = @abs_top_srcdir@
152 ac_ct_CC = @ac_ct_CC@
153 ac_prefix_program = @ac_prefix_program@
154 am__include = @am__include@
155 am__leading_dot = @am__leading_dot@
156 am__quote = @am__quote@
157 am__tar = @am__tar@
158 am__untar = @am__untar@
159 bindir = @bindir@
160 build_alias = @build_alias@
161 builddir = @builddir@
162 datadir = @datadir@
163 datarootdir = @datarootdir@
164 docdir = @docdir@
165 dvidir = @dvidir@
166 exec_prefix = @exec_prefix@
167 host_alias = @host_alias@
168 htmldir = @htmldir@
169 includedir = @includedir@
170 includeopt = @includeopt@
171 infodir = @infodir@
172 install_sh = @install_sh@
173 libdir = @libdir@
174 libexecdir = @libexecdir@
175 localedir = @localedir@
176 localstatedir = @localstatedir@
177 mandir = @mandir@
178 mkdir_p = @mkdir_p@
179 oldincludedir = @oldincludedir@
180 pdfdir = @pdfdir@
181 prefix = @prefix@
182 program_transform_name = @program_transform_name@
183 psdir = @psdir@
184 sbindir = @sbindir@
185 sharedstatedir = @sharedstatedir@
186 srcdir = @srcdir@
187 sysconfdir = @sysconfdir@
188 target_alias = @target_alias@
189 top_builddir = @top_builddir@
190 top_srcdir = @top_srcdir@
191 with_default_rsh = @with_default_rsh@
192 with_default_ssh = @with_default_ssh@
193
194 # Unix source subdirs, where we'll want to run lint and etags:
195 # This is a legacy variable from b4 Automake
196 USOURCE_SUBDIRS = lib zlib diff src
197 # All other subdirs:
198 SUBDIRS = $(USOURCE_SUBDIRS) man doc contrib tools \
199         windows-NT os2 emx vms
200
201 EXTRA_DIST = \
202         .cvsignore \
203         BUGS \
204         ChangeLog.zoo \
205         DEVEL-CVS \
206         FAQ \
207         HACKING \
208         MINOR-BUGS \
209         PROJECTS \
210         README.VMS \
211         TESTS \
212         build.com \
213         cvs-format.el \
214         cvsnt.dep \
215         cvsnt.dsp \
216         cvsnt.dsw \
217         cvsnt.mak \
218         cvs.spec \
219         mktemp.sh
220
221 all: config.h
222         $(MAKE) $(AM_MAKEFLAGS) all-recursive
223
224 .SUFFIXES:
225 am--refresh:
226         @:
227 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
228         @for dep in $?; do \
229           case '$(am__configure_deps)' in \
230             *$$dep*) \
231               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
232               cd $(srcdir) && $(AUTOMAKE) --gnu  \
233                 && exit 0; \
234               exit 1;; \
235           esac; \
236         done; \
237         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
238         cd $(top_srcdir) && \
239           $(AUTOMAKE) --gnu  Makefile
240 .PRECIOUS: Makefile
241 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
242         @case '$?' in \
243           *config.status*) \
244             echo ' $(SHELL) ./config.status'; \
245             $(SHELL) ./config.status;; \
246           *) \
247             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
248             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
249         esac;
250
251 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
252         $(SHELL) ./config.status --recheck
253
254 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
255         cd $(srcdir) && $(AUTOCONF)
256 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
257         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
258
259 config.h: stamp-h1
260         @if test ! -f $@; then \
261           rm -f stamp-h1; \
262           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
263         else :; fi
264
265 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
266         @rm -f stamp-h1
267         cd $(top_builddir) && $(SHELL) ./config.status config.h
268 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
269         cd $(top_srcdir) && $(AUTOHEADER)
270         rm -f stamp-h1
271         touch $@
272
273 distclean-hdr:
274         -rm -f config.h stamp-h1
275 cvs.spec: $(top_builddir)/config.status $(srcdir)/cvs.spec.in
276         cd $(top_builddir) && $(SHELL) ./config.status $@
277 emx/Makefile: $(top_builddir)/config.status $(top_srcdir)/emx/Makefile.in
278         cd $(top_builddir) && $(SHELL) ./config.status $@
279 os2/Makefile: $(top_builddir)/config.status $(top_srcdir)/os2/Makefile.in
280         cd $(top_builddir) && $(SHELL) ./config.status $@
281 zlib/Makefile: $(top_builddir)/config.status $(top_srcdir)/zlib/Makefile.in
282         cd $(top_builddir) && $(SHELL) ./config.status $@
283
284 # This directory's subdirectories are mostly independent; you can cd
285 # into them and run `make' without going through this Makefile.
286 # To change the values of `make' variables: instead of editing Makefiles,
287 # (1) if the variable is set in `config.status', edit `config.status'
288 #     (which will cause the Makefiles to be regenerated when you run `make');
289 # (2) otherwise, pass the desired values on the `make' command line.
290 $(RECURSIVE_TARGETS):
291         @failcom='exit 1'; \
292         for f in x $$MAKEFLAGS; do \
293           case $$f in \
294             *=* | --[!k]*);; \
295             *k*) failcom='fail=yes';; \
296           esac; \
297         done; \
298         dot_seen=no; \
299         target=`echo $@ | sed s/-recursive//`; \
300         list='$(SUBDIRS)'; for subdir in $$list; do \
301           echo "Making $$target in $$subdir"; \
302           if test "$$subdir" = "."; then \
303             dot_seen=yes; \
304             local_target="$$target-am"; \
305           else \
306             local_target="$$target"; \
307           fi; \
308           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
309           || eval $$failcom; \
310         done; \
311         if test "$$dot_seen" = "no"; then \
312           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
313         fi; test -z "$$fail"
314
315 $(RECURSIVE_CLEAN_TARGETS):
316         @failcom='exit 1'; \
317         for f in x $$MAKEFLAGS; do \
318           case $$f in \
319             *=* | --[!k]*);; \
320             *k*) failcom='fail=yes';; \
321           esac; \
322         done; \
323         dot_seen=no; \
324         case "$@" in \
325           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
326           *) list='$(SUBDIRS)' ;; \
327         esac; \
328         rev=''; for subdir in $$list; do \
329           if test "$$subdir" = "."; then :; else \
330             rev="$$subdir $$rev"; \
331           fi; \
332         done; \
333         rev="$$rev ."; \
334         target=`echo $@ | sed s/-recursive//`; \
335         for subdir in $$rev; do \
336           echo "Making $$target in $$subdir"; \
337           if test "$$subdir" = "."; then \
338             local_target="$$target-am"; \
339           else \
340             local_target="$$target"; \
341           fi; \
342           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
343           || eval $$failcom; \
344         done && test -z "$$fail"
345 tags-recursive:
346         list='$(SUBDIRS)'; for subdir in $$list; do \
347           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
348         done
349 ctags-recursive:
350         list='$(SUBDIRS)'; for subdir in $$list; do \
351           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
352         done
353
354 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
355         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
356         unique=`for i in $$list; do \
357             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
358           done | \
359           $(AWK) '    { files[$$0] = 1; } \
360                END { for (i in files) print i; }'`; \
361         mkid -fID $$unique
362 tags: TAGS
363
364 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
365                 $(TAGS_FILES) $(LISP)
366         tags=; \
367         here=`pwd`; \
368         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
369           include_option=--etags-include; \
370           empty_fix=.; \
371         else \
372           include_option=--include; \
373           empty_fix=; \
374         fi; \
375         list='$(SUBDIRS)'; for subdir in $$list; do \
376           if test "$$subdir" = .; then :; else \
377             test ! -f $$subdir/TAGS || \
378               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
379           fi; \
380         done; \
381         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
382         unique=`for i in $$list; do \
383             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
384           done | \
385           $(AWK) '    { files[$$0] = 1; } \
386                END { for (i in files) print i; }'`; \
387         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
388           test -n "$$unique" || unique=$$empty_fix; \
389           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390             $$tags $$unique; \
391         fi
392 ctags: CTAGS
393 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
394                 $(TAGS_FILES) $(LISP)
395         tags=; \
396         here=`pwd`; \
397         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
398         unique=`for i in $$list; do \
399             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
400           done | \
401           $(AWK) '    { files[$$0] = 1; } \
402                END { for (i in files) print i; }'`; \
403         test -z "$(CTAGS_ARGS)$$tags$$unique" \
404           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
405              $$tags $$unique
406
407 GTAGS:
408         here=`$(am__cd) $(top_builddir) && pwd` \
409           && cd $(top_srcdir) \
410           && gtags -i $(GTAGS_ARGS) $$here
411
412 distclean-tags:
413         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
414
415 distdir: $(DISTFILES)
416         $(am__remove_distdir)
417         test -d $(distdir) || mkdir $(distdir)
418         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
419         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
420         list='$(DISTFILES)'; \
421           dist_files=`for file in $$list; do echo $$file; done | \
422           sed -e "s|^$$srcdirstrip/||;t" \
423               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
424         case $$dist_files in \
425           */*) $(MKDIR_P) `echo "$$dist_files" | \
426                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
427                            sort -u` ;; \
428         esac; \
429         for file in $$dist_files; do \
430           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
431           if test -d $$d/$$file; then \
432             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
433             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
434               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
435             fi; \
436             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
437           else \
438             test -f $(distdir)/$$file \
439             || cp -p $$d/$$file $(distdir)/$$file \
440             || exit 1; \
441           fi; \
442         done
443         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
444           if test "$$subdir" = .; then :; else \
445             test -d "$(distdir)/$$subdir" \
446             || $(MKDIR_P) "$(distdir)/$$subdir" \
447             || exit 1; \
448             distdir=`$(am__cd) $(distdir) && pwd`; \
449             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
450             (cd $$subdir && \
451               $(MAKE) $(AM_MAKEFLAGS) \
452                 top_distdir="$$top_distdir" \
453                 distdir="$$distdir/$$subdir" \
454                 am__remove_distdir=: \
455                 am__skip_length_check=: \
456                 distdir) \
457               || exit 1; \
458           fi; \
459         done
460         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
461           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
462           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
463           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
464         || chmod -R a+r $(distdir)
465 dist-gzip: distdir
466         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
467         $(am__remove_distdir)
468 dist-bzip2: distdir
469         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
470         $(am__remove_distdir)
471
472 dist-tarZ: distdir
473         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
474         $(am__remove_distdir)
475
476 dist-shar: distdir
477         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
478         $(am__remove_distdir)
479
480 dist-zip: distdir
481         -rm -f $(distdir).zip
482         zip -rq $(distdir).zip $(distdir)
483         $(am__remove_distdir)
484
485 dist dist-all: distdir
486         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
487         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
488         $(am__remove_distdir)
489
490 # This target untars the dist file and tries a VPATH configuration.  Then
491 # it guarantees that the distribution is self-contained by making another
492 # tarfile.
493 distcheck: dist
494         case '$(DIST_ARCHIVES)' in \
495         *.tar.gz*) \
496           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
497         *.tar.bz2*) \
498           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
499         *.tar.Z*) \
500           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
501         *.shar.gz*) \
502           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
503         *.zip*) \
504           unzip $(distdir).zip ;;\
505         esac
506         chmod -R a-w $(distdir); chmod a+w $(distdir)
507         mkdir $(distdir)/_build
508         mkdir $(distdir)/_inst
509         chmod a-w $(distdir)
510         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
511           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
512           && cd $(distdir)/_build \
513           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
514             $(DISTCHECK_CONFIGURE_FLAGS) \
515           && $(MAKE) $(AM_MAKEFLAGS) \
516           && $(MAKE) $(AM_MAKEFLAGS) dvi \
517           && $(MAKE) $(AM_MAKEFLAGS) check \
518           && $(MAKE) $(AM_MAKEFLAGS) install \
519           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
520           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
521           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
522                 distuninstallcheck \
523           && chmod -R a-w "$$dc_install_base" \
524           && ({ \
525                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
526                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
527                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
528                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
529                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
530               } || { rm -rf "$$dc_destdir"; exit 1; }) \
531           && rm -rf "$$dc_destdir" \
532           && $(MAKE) $(AM_MAKEFLAGS) dist \
533           && rm -rf $(DIST_ARCHIVES) \
534           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
535         $(am__remove_distdir)
536         @(echo "$(distdir) archives ready for distribution: "; \
537           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
538           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
539 distuninstallcheck:
540         @cd $(distuninstallcheck_dir) \
541         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
542            || { echo "ERROR: files left after uninstall:" ; \
543                 if test -n "$(DESTDIR)"; then \
544                   echo "  (check DESTDIR support)"; \
545                 fi ; \
546                 $(distuninstallcheck_listfiles) ; \
547                 exit 1; } >&2
548 distcleancheck: distclean
549         @if test '$(srcdir)' = . ; then \
550           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
551           exit 1 ; \
552         fi
553         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
554           || { echo "ERROR: files left in build directory after distclean:" ; \
555                $(distcleancheck_listfiles) ; \
556                exit 1; } >&2
557 check-am: all-am
558 check: check-recursive
559 all-am: Makefile config.h
560 installdirs: installdirs-recursive
561 installdirs-am:
562 install: install-recursive
563 install-exec: install-exec-recursive
564 install-data: install-data-recursive
565 uninstall: uninstall-recursive
566
567 install-am: all-am
568         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
569
570 installcheck: installcheck-recursive
571 install-strip:
572         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
573           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
574           `test -z '$(STRIP)' || \
575             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
576 mostlyclean-generic:
577
578 clean-generic:
579
580 distclean-generic:
581         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
582
583 maintainer-clean-generic:
584         @echo "This command is intended for maintainers to use"
585         @echo "it deletes files that may require special tools to rebuild."
586 clean: clean-recursive
587
588 clean-am: clean-generic mostlyclean-am
589
590 distclean: distclean-recursive
591         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
592         -rm -f Makefile
593 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
594
595 dvi: dvi-recursive
596
597 dvi-am:
598
599 html: html-recursive
600
601 info: info-recursive
602
603 info-am:
604
605 install-data-am:
606
607 install-dvi: install-dvi-recursive
608
609 install-exec-am:
610
611 install-html: install-html-recursive
612
613 install-info: install-info-recursive
614
615 install-man:
616
617 install-pdf: install-pdf-recursive
618
619 install-ps: install-ps-recursive
620
621 installcheck-am:
622
623 maintainer-clean: maintainer-clean-recursive
624         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
625         -rm -rf $(top_srcdir)/autom4te.cache
626         -rm -f Makefile
627 maintainer-clean-am: distclean-am maintainer-clean-generic
628
629 mostlyclean: mostlyclean-recursive
630
631 mostlyclean-am: mostlyclean-generic
632
633 pdf: pdf-recursive
634
635 pdf-am:
636
637 ps: ps-recursive
638
639 ps-am:
640
641 uninstall-am:
642
643 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
644         install-strip
645
646 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
647         all all-am am--refresh check check-am clean clean-generic \
648         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
649         dist-shar dist-tarZ dist-zip distcheck distclean \
650         distclean-generic distclean-hdr distclean-tags distcleancheck \
651         distdir distuninstallcheck dvi dvi-am html html-am info \
652         info-am install install-am install-data install-data-am \
653         install-dvi install-dvi-am install-exec install-exec-am \
654         install-html install-html-am install-info install-info-am \
655         install-man install-pdf install-pdf-am install-ps \
656         install-ps-am install-strip installcheck installcheck-am \
657         installdirs installdirs-am maintainer-clean \
658         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
659         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
660
661
662 .PHONY: localcheck remotecheck
663 localcheck remotecheck: all
664         cd src && $(MAKE) $(AM_MAKEFLAGS) "$@"
665
666 .PHONY: doc
667 doc:
668         cd doc && $(MAKE) $(AM_MAKEFLAGS) "$@"
669
670 # for backwards compatibility with the old makefiles
671 .PHONY: realclean
672 realclean: maintainer-clean
673 # Tell versions [3.59,3.63) of GNU make to not export all variables.
674 # Otherwise a system limit (for SysV at least) may be exceeded.
675 .NOEXPORT: